POST /v1/commerce/products/import
POST
/v1/commerce/products/importAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredtext/csvstringResponses
200OK
createdinteger<int64>requirederrorsstring[] | nullskippedinteger<int64>requiredupdatedinteger<int64>requiredvariants_createdinteger<int64>requiredvariants_updatedinteger<int64>requireddefaultError
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/commerce/products/import" \
-H "Content-Type: text/csv" \
-d '"string"'const response = await fetch("/v1/commerce/products/import", {
method: "POST",
headers: {
"Content-Type": "text/csv"
},
body: JSON.stringify("string")
});import requests
response = requests.post(
"/v1/commerce/products/import",
headers={
"Content-Type": "text/csv"
},
json="string",
)Response
{
"created": 0,
"errors": [
"string"
],
"skipped": 0,
"updated": 0,
"variants_created": 0,
"variants_updated": 0
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}